class UsersController < ApplicationController
#  skip_before_action [:new, :create, :forgotten, :recover]
  before_action :redirect_logged_in, only: [:new, :create, :forgotten, :recover]

  def new
    @user = User.new
  end

  def create
    @user = User.new(user_params)
    if @user.save
      session[:user] = @user.id
      flash[:notice] = "Successful registration"
      redirect_back fallback_location: hello_path
    else
      flash[:notice] = @user.errors.messages
      #redirect_back fallback_location: hello_path
      render :new
    end
  end

  def edit
  end

  def update
    if @user.update(user_params)
      flash[:notice] = "Update successful"
      redirect_back fallback_location: hello_path
    else
      flash[:notice] = "Could not update profile"
      redirect_back fallback_location: hello_path
    end
  end

  def forgotten
  end

  def recover
  end

  def show
  end

  private
    def redirect_logged_in
      unless session[:user].nil?
        redirect_to hello_path
      end
    end

    def user_params
      params.require(:user).permit([:name, :email, :password, :encrypted_password])
    end
end
