Rails.application.routes.draw do
  post 'sessions/create', to: 'sessions#create', as: 'login'
  get 'sessions/destroy', to: 'sessions#destroy', as: 'logout'
  resources :tags
  resources :videos do
    get 'page/:page', on: :collection, to: 'videos#index', as: 'page'
    get 'download', on: :member, to: 'videos#download', as: 'download'
  end
  get 'users/new', to: 'users#new', as: 'registration'
  match 'users/create', to: 'users#create', as: 'register', via: [:post, :get]
  get 'users/edit/:id', to: 'users#edit', as: 'profile'
  put 'users/update/:id', to: 'users#update', as: 'update_profile'
  get 'users/forgotten', to: 'users#forgotten', as: 'forgotten_password'
  put 'users/recover', to: 'users#recover', as: 'recover'
  get 'users/show/:id', to: 'users#show', as: 'show_user'
  get 'say/hello', to: 'say#hello', as: 'hello'
  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
end
