require 'test_helper'

class UploadVideoTest < ActionDispatch::IntegrationTest
  # test "the truth" do
  #   assert true
  # end

  test 'upload video' do
    get '/say/hello'
    assert_response :success
    assert_select 'legend', 'Login'
    assert_nil session[:user]

    post '/sessions/create', params: { email: users(:me).email, password: 'titok' }, headers: { 'HTTP_REFERER': '/say/hello' }
    assert_response :redirect
    assert_equal session[:user], users(:me).id
    follow_redirect!
    assert_select 'a', 'Profile'

    get '/videos'
    assert_response :success
    assert_select 'h1', "Videos"

    get '/videos/new'
    assert_response :success
    assert_select 'form', 1

    upload_file = fixture_file_upload('test/fixtures/files/swe-eng.mp4', 'video/mp4')

    post '/videos', params: { video: { title: 'SWE-ENG', file: upload_file } }, headers: { 'HTTP_REREFER': '/say/hello' }
    assert_response :redirect
    assert_equal Attachment.all.size, 3
    assert File.exists? "public/data/#{Attachment.all.order(created_at: :desc).first.id}"
    follow_redirect!
    assert_select 'a', 'Logout'

    get '/sessions/destroy', headers: { 'HTTP_REFERER': '/say/hello' }
    assert_response :redirect
    assert_nil session[:user]
    follow_redirect!
    assert_select 'a', 'Register'
  end
end
